Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class FeatureKeys

    java.lang.Object
      net.sf.saxon.FeatureKeys

    public class FeatureKeys

extends Object

FeatureKeys defines a set of constants, names of Saxon configuration options which can be supplied to the Saxon implementations of the JAXP interfaces TransformerFactory, SchemaFactory, Validator, and ValidationHandler.

Author:
  Michael H. Kay

Field Summary
`static String` | `ALLOW_EXTERNAL_FUNCTIONS` ALLOW_EXTERNAL_FUNCTIONS must be a Boolean; it determines whether calls to external functions are allowed
`static String` | `COLLATION_URI_RESOLVER` COLLATION_URI_RESOLVER must be a `CollationURIResolver`.
`static String` | `COLLECTION_URI_RESOLVER` COLLECTION_URI_RESOLVER must be a `CollectionURIResolver`.
`static String` | `COMPILE_WITH_TRACING` COMPILE_WITH_TRACING must be a Boolean.
`static String` | `CONFIGURATION` CONFIGURATION must be an instance of `Configuration`.
`static String` | `DTD_VALIDATION` DTD_VALIDATION must be a Boolean.
`static String` | `LINE_NUMBERING` LINE_NUMBERING must be a Boolean(); it determines whether line numbers are maintained for the source document
`static String` | `MESSAGE_EMITTER_CLASS` MESSAGE_EMITTER_CLASS must be the class name of a class that implements net.sf.saxon.event.Receiver.
`static String` | `NAME_POOL` NAME_POOL must be an instance of net.sf.saxon.om.NamePool
`static String` | `OUTPUT_URI_RESOLVER` OUTPUT_URI_RESOLVER must be an instance of net.sf.saxon.OutputURIResolver
`static String` | `RECOGNIZE_URI_QUERY_PARAMETERS` RECOGNIZE_URI_QUERY_PARAMETERS must be a Boolean; it determines whether query parameters (things after a question mark) in a URI passed to the document() or doc() function are specially recognized by the system default URIResolver.
`static String` | `RECOVERY_POLICY` RECOVERY_POLICY must be an Integer: one of `Configuration.RECOVER_SILENTLY`, `Configuration.RECOVER_WITH_WARNINGS`, or `Configuration.DO_NOT_RECOVER`
`static String` | `SCHEMA_VALIDATION` SCHEMA_VALIDATION must be an Integer.
`static String` | `SOURCE_PARSER_CLASS` SOURCE_PARSER_CLASS must be the full class name of an XMLReader.
`static String` | `STRIP_WHITESPACE` STRIP_WHITESPACE must be a string set to one of the values "all", "none", or "ignorable".
`static String` | `STYLE_PARSER_CLASS` STYLE_PARSER_CLASS must be an XMLReader.
`static String` | `TIMING` TIMING must be an Boolean; it determines whether basic timing information is output to System.err
`static String` | `TRACE_EXTERNAL_FUNCTIONS` TRACE_EXTERNAL_FUNCTIONS must be a Boolean; it determines whether the loading and binding of extension functions is traced
`static String` | `TRACE_LISTENER` TRACE_LISTENER must be an instance of a class that implements `TraceListener`.
`static String` | `TREE_MODEL` TREE_MODEL must be an Integer: `Builder.LINKED_TREE` or `Builder.TINY_TREE`
`static String` | `VALIDATION_WARNINGS` VALIDATION_WARNINGS must be a Boolean.
`static String` | `VERSION_WARNING` VERSION_WARNING must be a Boolean.
`static String` | `XINCLUDE` XINCLUDE must be a Boolean.
`static String` | `XML_VERSION` XML_VERSION is a character string.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_EXTERNAL_FUNCTIONS

    public static final String ALLOW_EXTERNAL_FUNCTIONS

  ALLOW_EXTERNAL_FUNCTIONS must be a Boolean; it determines whether calls to external functions are allowed

  See Also:
    Constant Field Values

### COLLATION_URI_RESOLVER

    public static final String COLLATION_URI_RESOLVER

  COLLATION_URI_RESOLVER must be a `CollationURIResolver`. This resolver will be used to resolve collation URIs used in stylesheets compiled or executed under the control of this TransformerFactory

  See Also:
    Constant Field Values

### COLLECTION_URI_RESOLVER

    public static final String COLLECTION_URI_RESOLVER

  COLLECTION_URI_RESOLVER must be a `CollectionURIResolver`. This resolver will be used to resolve collection URIs used in calls of the collection() function

  See Also:
    Constant Field Values

### COMPILE_WITH_TRACING

    public static final String COMPILE_WITH_TRACING

  COMPILE_WITH_TRACING must be a Boolean. If true, stylesheets and queries are compiled with tracing enabled, but the choice of a trace listener is deferred until run time (see `Controller.addTraceListener(net.sf.saxon.trace.TraceListener)`)

  See Also:
    Constant Field Values

### CONFIGURATION

    public static final String CONFIGURATION

  CONFIGURATION must be an instance of `Configuration`. This attribute cannot be set on the Configuration itself, but it can be set on various JAXP factory objects such as a TransformerFactory or DocumentBuilderFactory, to ensure that several such factories use the same configuration. Note that other configuration options are held in the Configuration object, so setting this attribute will cancel all others that have been set. Also, if two factories share the same configuration, then setting an attribute on one affects all the others.

  See Also:
    Constant Field Values

### DTD_VALIDATION

    public static final String DTD_VALIDATION

  DTD_VALIDATION must be a Boolean. This determines whether source documents should be parsed with DTD-validation enabled.

  See Also:
    Constant Field Values

### LINE_NUMBERING

    public static final String LINE_NUMBERING

  LINE_NUMBERING must be a Boolean(); it determines whether line numbers are maintained for the source document

  See Also:
    Constant Field Values

### MESSAGE_EMITTER_CLASS

    public static final String MESSAGE_EMITTER_CLASS

  MESSAGE_EMITTER_CLASS must be the class name of a class that implements net.sf.saxon.event.Receiver. Despite the name, it is not required to be an instance of net.sf.saxon.event.Emitter

  See Also:
    Constant Field Values

### NAME_POOL

    public static final String NAME_POOL

  NAME_POOL must be an instance of net.sf.saxon.om.NamePool

  See Also:
    Constant Field Values

### OUTPUT_URI_RESOLVER

    public static final String OUTPUT_URI_RESOLVER

  OUTPUT_URI_RESOLVER must be an instance of net.sf.saxon.OutputURIResolver

  See Also:
    Constant Field Values

### RECOGNIZE_URI_QUERY_PARAMETERS

    public static final String RECOGNIZE_URI_QUERY_PARAMETERS

  RECOGNIZE_URI_QUERY_PARAMETERS must be a Boolean; it determines whether query parameters (things after a question mark) in a URI passed to the document() or doc() function are specially recognized by the system default URIResolver. Allowed parameters include, for example validation=strict to perform schema validation, and strip-space=yes to perform stripping of all whitespace-only text nodes.

  See Also:
    Constant Field Values

### RECOVERY_POLICY

    public static final String RECOVERY_POLICY

  RECOVERY_POLICY must be an Integer: one of `Configuration.RECOVER_SILENTLY`, `Configuration.RECOVER_WITH_WARNINGS`, or `Configuration.DO_NOT_RECOVER`

  See Also:
    Constant Field Values

### SCHEMA_VALIDATION

    public static final String SCHEMA_VALIDATION

  SCHEMA_VALIDATION must be an Integer. This determines whether source documents should be parsed with schema-validation enabled. The string takes one of the values `Validation.STRICT`, `Validation.LAX`, `Validation.PRESERVE`, `Validation.SKIP`.

  See Also:
    Constant Field Values

### SOURCE_PARSER_CLASS

    public static final String SOURCE_PARSER_CLASS

  SOURCE_PARSER_CLASS must be the full class name of an XMLReader. This identifies the parser used for source documents.

  See Also:
    Constant Field Values

### STRIP_WHITESPACE

    public static final String STRIP_WHITESPACE

  STRIP_WHITESPACE must be a string set to one of the values "all", "none", or "ignorable". This determines what whitespace is stripped during tree construction: "all" removes all whitespace-only text nodes; "ignorable" removes whitespace text nodes in element-only content (as identified by a DTD or Schema), and "none" preserves all whitespace. This whitespace stripping is additional to any stripping caused by the xsl:strip-space declaration in a stylesheet.

  See Also:
    Constant Field Values

### STYLE_PARSER_CLASS

    public static final String STYLE_PARSER_CLASS

  STYLE_PARSER_CLASS must be an XMLReader. This identifies the parser used for stylesheets and schema modules.

  See Also:
    Constant Field Values

### TIMING

    public static final String TIMING

  TIMING must be an Boolean; it determines whether basic timing information is output to System.err

  See Also:
    Constant Field Values

### TRACE_EXTERNAL_FUNCTIONS

    public static final String TRACE_EXTERNAL_FUNCTIONS

  TRACE_EXTERNAL_FUNCTIONS must be a Boolean; it determines whether the loading and binding of extension functions is traced

  See Also:
    Constant Field Values

### TRACE_LISTENER

    public static final String TRACE_LISTENER

  TRACE_LISTENER must be an instance of a class that implements `TraceListener`. Setting this property automatically sets `COMPILE_WITH_TRACING` to true.

  See Also:
    Constant Field Values

### TREE_MODEL

    public static final String TREE_MODEL

  TREE_MODEL must be an Integer: `Builder.LINKED_TREE` or `Builder.TINY_TREE`

  See Also:
    Constant Field Values

### VALIDATION_WARNINGS

    public static final String VALIDATION_WARNINGS

  VALIDATION_WARNINGS must be a Boolean. This determines whether validation errors in result documents should be treated as fatal. By default they are fatal; with this option set, they are treated as warnings.

  See Also:
    Constant Field Values

### VERSION_WARNING

    public static final String VERSION_WARNING

  VERSION_WARNING must be a Boolean. This determines whether a warning should be output when running an XSLT 2.0 processor against an XSLT 1.0 stylesheet. The XSLT specification requires this to be done by default.

  See Also:
    Constant Field Values

### XINCLUDE

    public static final String XINCLUDE

  XINCLUDE must be a Boolean. This determines whether XInclude processing should be performed by default when XML source documents (including stylesheets and schemas) are read.

  See Also:
    Constant Field Values

### XML_VERSION

    public static final String XML_VERSION

  XML_VERSION is a character string. This determines the XML version used by the Configuration: the value must be "1.0" or "1.1". For details, see `Configuration.setXMLVersion(int)`.

  See Also:
    Constant Field Values

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.